## zytrax 0%2Bgit20201215

=== debian/changelog ===
zytrax (0+git20201215-1+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Sat, 08 Jul 2023 02:34:08 +0800

zytrax (0+git20201215-1) unstable; urgency=medium

  * New upstream version.
  * d/upstream/metadata: added.
  * d/control:
    - added Rules-Requires-Root.
    - added Vcs fields.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * d/clean: updated.
  * d/docs: dropped.
  * Bump debhelper version to 13.
  * Bump standards version to 4.5.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 15 Dec 2020 06:43:08 +0100

zytrax (0+git20190810-2) unstable; urgency=medium

  * Source only upload for testing migration.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 Jan 2020 09:16:30 +0100

zytrax (0+git20190810-1) unstable; urgency=medium

  * Initial release. (Closes: #948405)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 08 Jan 2020 11:49:41 +0100
