=== debian/control ===
Source: zytrax
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 12), scons, libgtkmm-3.0-dev, liblilv-dev, libsuil-dev, libpulse-dev, libasound2-dev
Standards-Version: 4.4.1
Homepage: https://github.com/reduz/zytrax

Package: zytrax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Easy to use, tracker-inspired music sequencer
 This is an easy to use music sequencer with an interface heavily
 inspired by 90's "tracker" software (most specifically Impulse
 Tracker).
 .
 While contemporary software that uses this approach exists, it
 usually has a high entry barrier because it maintains compatibility
 with old formats.
 .
 In contrast to this, ZyTrax starts afresh with an user friendly
 approach (no hex numbers, pure plugin-based architecture, inlined
 automation envelopes, smart automations, zoomable patterns and a
 simple pattern/orderlist layout).
