=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 12), scons, libgtkmm-3.0-dev, liblilv-dev, libsuil-dev, libpulse-dev, libasound2-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), scons, libgtkmm-3.0-dev, liblilv-dev, libsuil-dev, libpulse-dev, libasound2-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/multimedia-team/zytrax.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zytrax
 Homepage: https://github.com/reduz/zytrax
 
 Package: zytrax
