=== debian/changelog ===
zytrax (0+git20250217+ds-2) unstable; urgency=medium

  * d/control: add libjack-jackd2-dev to build-depends.

 -- Alex Myczko <tar@debian.org>  Mon, 17 Feb 2025 11:37:02 +0000

zytrax (0+git20250217+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/clean: upated.
  * d/patches: dropped.

 -- Alex Myczko <tar@debian.org>  Mon, 17 Feb 2025 09:51:37 +0000

zytrax (0+git20201215-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * Update maintainer email address.
  * Ack NMU.

 -- Alex Myczko <tar@debian.org>  Wed, 05 Jun 2024 04:54:29 +0000

zytrax (0+git20201215-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/01-fix_ftbfs_gcc-13.patch: New. Fix FTBFS with gcc-13.
    Thanks to Adrian Bunk (Closes: #1037913).

 -- Marcos Talau <talau@debian.org>  Sun, 10 Sep 2023 14:20:16 +0530
