=== debian/control ===
--- 
+++ 
@@ -2,9 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), scons, libgtkmm-3.0-dev, liblilv-dev, libsuil-dev, libpulse-dev, libasound2-dev
-Standards-Version: 4.5.1
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ scons,
+ libgtkmm-3.0-dev,
+ liblilv-dev,
+ libsuil-dev,
+ libpulse-dev,
+ libjack-jackd2-dev,
+ libasound2-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/zytrax.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zytrax
